Bug 1047608 - Review Request: php-phpseclib-crypt-rsa - Pure-PHP PKCS#1 (v2.1) compliant implementation of RSA
Summary: Review Request: php-phpseclib-crypt-rsa - Pure-PHP PKCS#1 (v2.1) compliant im...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1047599 1047603 1047604
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-01 03:24 UTC by Adam Williamson
Modified: 2014-02-25 18:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-26 01:46:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Crypt_RSA-role.patch (1.70 KB, patch)
2014-01-07 10:23 UTC, Remi Collet
no flags Details | Diff
spec.patch (897 bytes, patch)
2014-01-07 10:24 UTC, Remi Collet
no flags Details | Diff
phpci.log (12.69 KB, text/plain)
2014-01-10 06:49 UTC, Remi Collet
no flags Details
review.txt (7.87 KB, text/plain)
2014-01-10 06:49 UTC, Remi Collet
no flags Details

Description Adam Williamson 2014-01-01 03:24:25 UTC
Spec URL: https://www.happyassassin.net/reviews/php-phpseclib-Crypt-RSA/php-phpseclib-Crypt-RSA.spec
SRPM URL: https://www.happyassassin.net/reviews/php-phpseclib-Crypt-RSA/php-phpseclib-Crypt-RSA-0.3.5-1.fc21.src.rpm
Description: Pure-PHP PKCS#1 (v2.1) compliant implementation of RSA.
Fedora Account System Username: adamwill

Comment 2 Remi Collet 2014-01-07 09:57:03 UTC
The openssl.cfg have obviously not the correct role (upstream bug)

Should be role="cfg", thus will be installed in /etc/pear

Notice: this is a bit ugly to manage in source code, as it is needed to check if run from sources tree or from install one.

Commonly used solution (ex taken from php-bartlett-PHP-CompatInfo)

In Crypt/RSA.php

    $dir = '@cfg_dir@' . DIRECTORY_SEPARATOR . 'Crypt_RSA';
    if (strpos($dir, '@') === false) {
        // PEAR installer was used to install the package
    } else {
        // manual install
        $dir = dirname(__FILE__)
    }
    $filename = $dir . DIRECTORY_SEPARATOR . 'openssl.cnf';

In package.xml

   <file baseinstalldir="Crypt" name="RSA.php" role="php" >
     <tasks:replace from="@cfg_dir@" to="cfg_dir" type="pear-config" />
   </file>
   <file name="openssl.cnf" role="cfg"/>

Comment 3 Remi Collet 2014-01-07 10:23:55 UTC
Created attachment 846562 [details]
Crypt_RSA-role.patch

Comment 4 Remi Collet 2014-01-07 10:24:18 UTC
Created attachment 846563 [details]
spec.patch

Comment 5 Remi Collet 2014-01-07 14:17:46 UTC
Upstream bug ref : https://sourceforge.net/p/phpseclib/bugs/4/

Comment 7 Remi Collet 2014-01-10 06:49:19 UTC
Created attachment 848057 [details]
phpci.log

Comment 8 Remi Collet 2014-01-10 06:49:55 UTC
Created attachment 848058 [details]
review.txt

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1047608

Comment 9 Remi Collet 2014-01-10 06:50:50 UTC
[!] Package installs properly.

Of course, wait for dependencies before importing the package.

No Blocker

== APPROVED ==

Comment 10 Adam Williamson 2014-01-17 02:31:21 UTC
New Package SCM Request
=======================
Package Name: php-phpseclib-Crypt-TripleDES
Short Description: Pure-PHP implementation of Triple DES
Owners: adamwill
Branches: f20 el6 el7
InitialCC:

Comment 11 Gwyn Ciesla 2014-01-17 13:01:59 UTC
WARNING: Invalid branch el7 requested: use epel7
WARNING: Requested package name php-phpseclib-Crypt-TripleDES doesn't match
bug summary php-phpseclib-Crypt-RSA: fix.

Comment 12 Adam Williamson 2014-01-17 23:01:17 UTC
New Package SCM Request
=======================
Package Name: php-phpseclib-crypt-rsa
Short Description: Pure-PHP implementation of RSA
Owners: adamwill
Branches: f20 el6 epel7
InitialCC:

Comment 13 Gwyn Ciesla 2014-01-21 14:05:52 UTC
Git done (by process-git-requests).

Comment 14 Adam Williamson 2014-01-26 01:46:52 UTC
Built for Rawhide.

Comment 15 Adam Williamson 2014-02-24 03:22:44 UTC
Package Change Request
======================
Package Name: php-phpseclib-crypt-rsa
New Branches: f19

Comment 16 Gwyn Ciesla 2014-02-24 13:28:00 UTC
No owners specified.

Comment 17 Adam Williamson 2014-02-25 18:26:04 UTC
Package Change Request
======================
Package Name: php-phpseclib-crypt-rsa
New Branches: f19
Owners: adamwill

Comment 18 Gwyn Ciesla 2014-02-25 18:49:59 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.